<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modelitem');
jimport('joomla.registry.registry');
/**
 * PhpView Model
 */

class PhpBridgeModelPhpView extends JModelItem
{
	/**
	 * @var string msg
	 */
	protected $html;
	protected $item;
		
	/**
	 * Get the message
	 * @return string The message to be displayed to the user
	 */
	public function getHtml()
	{
		
		$app = JFactory::getApplication();
		$document = JFactory::getDocument();
		$input = new JInput();
		
		$param = JComponentHelper::getParams(JRequest::getVar('option'));		
        $params = $app->getParams();

        $css = $params->get('c_css');
        
        if($css!=""){
        	$document->addStyleSheet(JURI::root( true ).'/templates/'.$app->getTemplate().'/css/'.$css);
        }        
        

        $c_run = $input->get('run','');
		$c_mode = $input->get('mode','');
		$c_data = $input->get('data','');
		
		$tempmodul=new phpmodul($c_run, $c_mode, $c_data);
		$tempmodul->init($params);
		$this->html = $tempmodul->runScript();
		
		return $this->html;
	}

	/**
	 * Method to auto-populate the model state.
	 *
	 * Note. Calling getState in this method will result in recursion.
	 *
	 * @since	1.6
	 */
	protected function populateState()
	{
		$app = JFactory::getApplication('site');

		// Load the parameters.
		$params = $app->getParams();
		$this->setState('params', $params);

	}	

	/**
	* Get the message
	* @return object The message to be displayed to the user
	*/
	public function getItem()
	{
		if (!isset($this->item))
		{
			// Load the JSON string
			$params = new JRegistry;
			if(!is_object($this->item->params)){
				$this->item->params = new StdClass();
			}
			$params->loadString($this->item->params, 'JSON');
			$this->item->params = $params;

			// Merge global params with item params
			$params = clone $this->getState('params');
			$params->merge($this->item->params);
			$this->item->params = $params;
		}
		return $this->item;
	}	
	
}
