<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML View class for the PhpBridge Component
 */
class PhpBridgeViewPhpView extends JView
{
		protected $html;
		protected $state;
		protected $params;
		
		// Overwriting JView display method
        function display($tpl = null) 
        {

        	// Assign data to the view
        	$this->item = $this->get('Item');        	
        	
        	$this->html = $this->get('Html');
			$this->state = $this->get('State');
         	$this->params  = $this->state->get('params');
			
			
                // Check for errors.
                if (count($errors = $this->get('Errors'))) 
                {
                        JError::raiseError(500, implode('<br />', $errors));
                        return false;
                }
                // Display the view
                
			$this->pageclass_sfx = htmlspecialchars($this->params->get('pageclass_sfx'));
			                
                parent::display($tpl);
        }
}
